Page MenuHomePhabricator

Sticky headers for expanded campaigns
Open, NormalPublic

Description

Content translations shows lists of articles as suggestions. Initially only two articles are shown, but users can expand them. For long lists, that is a problem since the user may need a lot of scroll to close them again.

This ticket proposes to:

  • For expanded lists, keep the header of the list sticky at the top as the user scrolls.
    • (optional) if possible we should make the header sticky only if the expanded list is higher than the current viewport.
  • Include an icon in the list headers to indicate the expanded/collapsed status (view icon files below).

You can try it in this prototype. I captured what happens when you expand the "Wiki Loves Nature" campaign and start scrolling.

Graphical assets

Related

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 2 2015, 7:06 AM
Arrbee set Security to None.
Arrbee triaged this task as Normal priority.Dec 2 2015, 7:09 AM
Pginer-WMF updated the task description. (Show Details)Dec 2 2015, 7:12 AM
Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.Dec 4 2015, 9:58 AM
Amire80 moved this task from CX7 to CX8 on the ContentTranslation board.Jan 24 2016, 8:52 PM
Amire80 moved this task from CX8 to Bugs on the ContentTranslation board.Apr 20 2016, 1:09 PM

Is this ticket still relevant?

Petar.petkovic closed this task as Declined.Jun 7 2018, 11:41 PM
Petar.petkovic removed a subscriber: Petar.petkovic.
Pginer-WMF reopened this task as Open.Jun 8 2018, 7:41 AM
Pginer-WMF added a subscriber: Pginer-WMF.

Currently there is some very basic support for campaigns in Content Translation. It is not very visible because campaigns need to be created by hand based on a category. We identified this as an aspect to improve for campaigns with a large number of articles. So i think the ticket is still relevant, even if the designs need to be updated to catch up with more of the recent changes.

Arrbee moved this task from Bugs to Enhancements on the ContentTranslation board.Jun 22 2018, 1:41 PM